using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class EnableJoint : MonoBehaviour {

	public Joint2D joint;
	public Image button;
	public Color enabledCol;
	public Color disabledCol;

	void Start()
	{		
		SetColor();
	}


	public void SetColor()
	{
		button.color = joint.enabled ? enabledCol : disabledCol;
	}

	public void ToggleJoint()
	{		
		joint.enabled = !joint.enabled;
		SetColor();
	}
}
